%% Renormalization of Measured Oil Rates
%  This code performs the renormalization of the measured oil rates which
%  are used in the regression analysis for Laguerre Polynomials (with renormalization)

%"1" indicates using Average Rate (correspond to DWOI)
%"2" indicates using Mean Rate
Choice_of_AbitraryValue = 1; 

% Computing the average rate corresponding to DWOI
Average_Rate_Base_Case = mean(ObsRate_Phase1n2_real_time_ShiftTime(:,DWOI_Phase2LifeTime,DWOI_Phase1LifeTime+1));

% Computing the mean of maximum and minimum measured oil rates
mean_rate = 0.5.*(max(ObsRate_Phase1n2_real_time_ShiftTime,[],'all') + min(ObsRate_Phase1n2_real_time_ShiftTime,[],'all'));

if Choice_of_AbitraryValue == 1
    arbitrary_value = Average_Rate_Base_Case;
elseif Choice_of_AbitraryValue == 2
    arbitrary_value = mean_rate;
else
    arbitrary_value = 7; %unit of MMbbl/year
end

Renormalized_ObsRate_Phase1n2_real_time_ShiftTime = (1/arbitrary_value).*ObsRate_Phase1n2_real_time_ShiftTime;

