%% Mean Cumulative Discounted Cashflow Plot for DWOI and DWIIs of SRDM and CLRM
%  This code plots the graph of mean cumulative discounted cashflow against time (year) for DWOI, DWIIs of SRDM and CLRM. 

N_MC = 100000;
FieldLifeTime = 50;
N_Phase1n2LifeTime = sum(0:FieldLifeTime+1);
LifeTime = 1:1:FieldLifeTime; 

CDCF_DWOI = DisCashFlow_ShiftTime(:,:,DWOI_Phase1LifeTime+1);

for i_time = 2: FieldLifeTime
    if i_time > DWOI_LifeTime
    CDCF_DWOI(:,i_time) = CDCF_DWOI(:,DWOI_LifeTime);    
    else
    CDCF_DWOI(:,i_time) = CDCF_DWOI(:,i_time)+CDCF_DWOI(:,i_time-1);
    end
end

Mean_CDCF_DWOI = mean(CDCF_DWOI);

CDCF_DWI_SRDM = zeros(N_MC,FieldLifeTime);
CDCF_DWI_CLRM = zeros(N_MC,FieldLifeTime);

for i_MC = 1: N_MC
    CDCF_DWI_SRDM(i_MC,:) = DisCashFlow_ShiftTime(i_MC,:,DWI_Phase1LifeTime(i_MC,1)+1);
    CDCF_DWI_CLRM(i_MC,:) = DisCashFlow_ShiftTime(i_MC,:,DWI_CLRM_Phase1LifeTime(i_MC,1)+1);
end

for i_MC = 1: N_MC
    for i_time = 2: FieldLifeTime
       if i_time > DWI_LifeTime(i_MC,1)
       CDCF_DWI_SRDM(i_MC,i_time) = CDCF_DWI_SRDM(i_MC,DWI_LifeTime(i_MC,1));  
       else
       CDCF_DWI_SRDM(i_MC,i_time) = CDCF_DWI_SRDM(i_MC,i_time)+CDCF_DWI_SRDM(i_MC,i_time-1);
       end
    end
end

for i_MC = 1: N_MC
    for i_time = 2: FieldLifeTime
       if i_time > DWI_CLRM_LifeTime(i_MC,1)
       CDCF_DWI_CLRM(i_MC,i_time) = CDCF_DWI_CLRM(i_MC,DWI_CLRM_LifeTime(i_MC,1));  
       else
       CDCF_DWI_CLRM(i_MC,i_time) = CDCF_DWI_CLRM(i_MC,i_time)+CDCF_DWI_CLRM(i_MC,i_time-1);  
       end
    end
end

Mean_CDCF_DWI_SRDM = mean(CDCF_DWI_SRDM);
Mean_CDCF_DWI_CLRM = mean(CDCF_DWI_CLRM);

figure;
mean_CDCF_DWOI_plot = plot(LifeTime,Mean_CDCF_DWOI); hold on;
mean_CDCF_DWII_SRDM_plot = plot(LifeTime,Mean_CDCF_DWI_SRDM); hold on;
mean_CDCF_DWII_CLRM_plot = plot(LifeTime,Mean_CDCF_DWI_CLRM); hold on;

set(mean_CDCF_DWOI_plot,'LineWidth',2);
set(mean_CDCF_DWII_SRDM_plot,'LineWidth',2);
set(mean_CDCF_DWII_CLRM_plot,'LineWidth',2);

set(mean_CDCF_DWOI_plot,'Color','blue');
set(mean_CDCF_DWII_SRDM_plot,'Color','red');
set(mean_CDCF_DWII_CLRM_plot,'Color',[0 0.7 0.2]);

legend('DWOI','SRDM','CLRM');
xlabel('Time (years)');
ylabel('Mean CDCF (million USD)');

