%% Normalized Frequency Distributions (NFD) 
%  This code plots the Normalized Frequency Distributions (NFD) of DWIIs corresponding to SRDM and CLRM. 

N_MC = 100000;
FieldLifeTime = 50;
N_Phase1n2LifeTime = sum(0:FieldLifeTime+1);

% 1. Lifetime of Primary Recovery
figure;
hist_DWII_SRDM_LT1 = histogram(DWI_Phase1LifeTime,51,'Normalization','probability','BinWidth',1,'BinLimits',[-0.5 50.5]); hold on;
hist_DWII_CLRM_LT1 = histogram(DWI_CLRM_Phase1LifeTime,51,'Normalization','probability','BinWidth',1,'BinLimits',[-0.5 50.5]); hold on;
legend('SRDM','CLRM');
xlabel('Lifetime of Primary Recovery (years)');
ylabel('NFD');

% 2. Lifetime of Secondary Recovery
figure;
hist_DWII_SRDM_LT2 = histogram(DWI_Phase2LifeTime,51,'Normalization','probability','BinWidth',1,'BinLimits',[-0.5 50.5]); hold on;
hist_DWII_CLRM_LT2 = histogram(DWI_CLRM_Phase2LifeTime,51,'Normalization','probability','BinWidth',1,'BinLimits',[-0.5 50.5]); hold on;
legend('SRDM','CLRM');
xlabel('Lifetime of Secondary Recovery (years)');
ylabel('NFD');

% 3. Total Lifetime
figure;
hist_DWII_SRDM_TLT = histogram(DWI_LifeTime,51,'Normalization','probability','BinWidth',1,'BinLimits',[-0.5 50.5]); hold on;
hist_DWII_CLRM_tLT2 = histogram(DWI_CLRM_LifeTime,51,'Normalization','probability','BinWidth',1,'BinLimits',[-0.5 50.5]); hold on;
legend('SRDM','CLRM');
xlabel('Total Lifetime (years)');
ylabel('NFD');
